=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2010-03-29 16:01:07 +0000
+++ bzrlib/config.py	2010-03-29 16:16:15 +0000
@@ -811,7 +811,8 @@
                 trace.mutter('creating config parent directory: %r', parent_dir)
             os.mkdir(parent_dir)
         trace.mutter('creating config directory: %r', path)
-        osutils.mkdir_with_ownership(path)
+        os.mkdir(path)
+        osutils.copy_ownership(path) # Copy ownership from parent dir.
 
 
 def config_dir():

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2010-03-29 16:01:07 +0000
+++ bzrlib/osutils.py	2010-03-29 16:16:15 +0000
@@ -1833,17 +1833,6 @@
         trace.warning("Unable to copy ownership from '%s' to '%s': IOError: %s." % (src, dst, e))
 
 
-def mkdir_with_ownership(path, ownership_src=None):
-    """Create the directory 'path' with specified ownership.
-
-    If ownership_src is given, copies (chown) usr/grp ownership
-    from 'ownership_src' to 'path'. If ownership_src is None, use the
-    containing dir ownership.
-    """
-    os.mkdir(path)
-    copy_ownership(path, ownership_src)
-
-
 def path_prefix_key(path):
     """Generate a prefix-order path key for path.
 

=== modified file 'bzrlib/tests/test_osutils.py'
--- bzrlib/tests/test_osutils.py	2010-03-29 16:01:07 +0000
+++ bzrlib/tests/test_osutils.py	2010-03-29 16:16:15 +0000
@@ -2013,14 +2013,3 @@
         self.assertEquals(self.path, 'test_file')
         self.assertEquals(self.uid, s.st_uid)
         self.assertEquals(self.gid, s.st_gid)
-
-    def test_mkdir_with_ownership_chown(self):
-        """Ensure that osutils.mkdir_with_ownership chowns correctly with ownership_src.
-        """
-        ownsrc = '/'
-        osutils.mkdir_with_ownership('foo', ownsrc)
-
-        s = os.stat(ownsrc)
-        self.assertEquals(self.path, 'foo')
-        self.assertEquals(self.uid, s.st_uid)
-        self.assertEquals(self.gid, s.st_gid)

